Subject: Re: [PATCH] revision: use C99 declaration of variable in for() loop

From: Junio C Hamano <[email-masked]>
Date: Tue, 07 Dec 2021 12:37:44 -0800

Phillip Wood <[email-masked]> writes:

> ... I guess that means we
> have not had any warning flags set (because no such flags exist?)  to
> protect against the accidental introduction of the construct that this
> patch is testing compiler support for.

I think we actually saw some instances of "for (type var = ..."
slipped through the review process, only to later get caught by
some other means.